
package cdpp_irap.impex.v0;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlEnumValue;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for enumMission.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="enumMission">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="ACE"/>
 *     &lt;enumeration value="STEREO-A"/>
 *     &lt;enumeration value="STEREO-A-EP"/>
 *     &lt;enumeration value="STEREO-B"/>
 *     &lt;enumeration value="STEREO-B-EP"/>
 *     &lt;enumeration value="WIND"/>
 *     &lt;enumeration value="VEX"/>
 *     &lt;enumeration value="OMNI"/>
 *     &lt;enumeration value="GEOMAG"/>
 *     &lt;enumeration value="MEX"/>
 *     &lt;enumeration value="DSCOVR"/>
 *     &lt;enumeration value="MAVEN"/>
 *     &lt;enumeration value="PSP"/>
 *     &lt;enumeration value="SOLO"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "enumMission")
@XmlEnum
public enum EnumMission {

    ACE("ACE"),
    @XmlEnumValue("STEREO-A")
    STEREO_A("STEREO-A"),
    @XmlEnumValue("STEREO-A-EP")
    STEREO_A_EP("STEREO-A-EP"),
    @XmlEnumValue("STEREO-B")
    STEREO_B("STEREO-B"),
    @XmlEnumValue("STEREO-B-EP")
    STEREO_B_EP("STEREO-B-EP"),
    WIND("WIND"),
    VEX("VEX"),
    OMNI("OMNI"),
    GEOMAG("GEOMAG"),
    MEX("MEX"),
    DSCOVR("DSCOVR"),
    MAVEN("MAVEN"),
    PSP("PSP"),
    SOLO("SOLO"),
    SOLO_MAG("SOLO_MAG"),
    ROSETTA("ROSETTA"),
    JUNO_CRUISE("JUNO_CRUISE"),
    JUNO_JUPITER_ORBIT("JUNO_JUPITER_ORBIT"),
    CASSINI("CASSINI"),
    MGS("MGS"),
    MESSENGER("MESSENGER"),
    
    
    ;
    private final String value;

    EnumMission(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static EnumMission fromValue(String v) {
        for (EnumMission c: EnumMission.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
